List All Transactions
curl --request GET \
--url https://api.procuros.io/v2/all-transactions \
--header 'Authorization: Bearer <token>'{
"hasMore": false,
"perPage": 100,
"count": 3,
"nextCursor": null,
"nextPageUrl": null,
"items": [
{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9",
"type": "ORDER",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"name": "ACME Co. Ltd.",
"street": "Elroy-Fritsch-Ring 15",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "82643"
},
"contacts": [
{
"firstName": "John",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-09-30",
"currency": "EUR",
"requestedDeliveryDate": "2021-10-05",
"comments": "Something to comment"
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 20,
"unitOfMeasure": "EA",
"description": "First product description.",
"unitPrice": 0.15
},
{
"lineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 19,
"unitOfMeasure": "EA",
"description": "Sparkling Water - Crate (6x0.75l).",
"unitPrice": 1.5
},
{
"lineNumber": 3,
"identifiers": [
{
"identifier": "4300348765434",
"domain": "GS1"
},
{
"identifier": "PFAND-00B-LS",
"domain": "SUPPLIER"
}
],
"isDepositItem": true,
"quantity": 19,
"unitOfMeasure": "EA",
"description": "Deposit 1x crate + 6x bottles.",
"unitPrice": 3.3
}
]
}
},
{
"procurosTransactionId": "94fe13aa-8c9b-40e5-9937-42b852185858",
"type": "SHIPPING_NOTICE",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"city": "Berlin",
"countryCode": "DE",
"name": "ACME Co. Ltd.",
"postalCode": "82643",
"street": "Elroy-Fritsch-Ring 15"
},
"contacts": [
{
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"shippingNoticeIdentifier": "SN9383-R45",
"shippingNoticeDate": "2021-11-24",
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-11-20",
"despatchDate": "2021-11-05",
"requestedDeliveryDate": "2021-11-06",
"expectedDeliveryDate": "2021-11-06",
"carrier": "Example Delivery Solution",
"trackingNumber": "b52ea6a7-c2ea-3bfc-a63f-19140d3b3af5",
"trackingUrl": "https://api.procuros.com/example",
"comments": "Something to comment"
},
"transportUnits": [
{
"items": [
{
"lineNumber": 1,
"orderLineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"orderedQuantity": 20,
"shippedQuantity": 20,
"unitPrice": 200,
"description": "First product description."
},
{
"lineNumber": 2,
"orderLineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"orderedQuantity": 19,
"shippedQuantity": 15,
"openQuantityAction": "DISCARDED",
"unitPrice": 1.5,
"description": "Second product description."
}
]
}
]
}
},
{
"procurosTransactionId": "94fe1224-ae01-4587-8155-8e852cbbe75d",
"type": "INVOICE",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "4522704465331",
"domain": "GS1"
},
{
"identifier": "DE123456789",
"domain": "VAT_DE"
}
],
"postalAddress": {
"city": "Berlin",
"countryCode": "DE",
"name": "ACME Co. Ltd.",
"postalCode": "82643",
"street": "Elroy-Fritsch-Ring 15"
},
"contacts": [
{
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "4231930775745",
"domain": "GS1"
},
{
"identifier": "DE234567890",
"domain": "VAT_DE"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"invoiceIdentifier": "IV9383-R45",
"invoiceDate": "2021-11-11",
"shippingNoticeIdentifier": "SN9383-R45",
"shippingNoticeDate": "2021-11-04",
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-11-10",
"paymentTerms": [
{
"payInNumberOfDays": 28,
"percentage": 3
}
],
"comments": "Something to comment"
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 20,
"unitPrice": 200,
"description": "First product description.",
"tax": {
"amount": 760,
"percentage": 19,
"description": "Total tax amount."
}
},
{
"lineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 15,
"unitPrice": 1.5,
"description": "Second product description.",
"tax": {
"amount": 26.775,
"percentage": 19,
"description": "Total tax amount."
}
}
]
}
}
]
}All Transactions
List All Transactions
List all existing transactions to and from your trade partners.
GET
/
v2
/
all-transactions
List All Transactions
curl --request GET \
--url https://api.procuros.io/v2/all-transactions \
--header 'Authorization: Bearer <token>'{
"hasMore": false,
"perPage": 100,
"count": 3,
"nextCursor": null,
"nextPageUrl": null,
"items": [
{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9",
"type": "ORDER",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"name": "ACME Co. Ltd.",
"street": "Elroy-Fritsch-Ring 15",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "82643"
},
"contacts": [
{
"firstName": "John",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-09-30",
"currency": "EUR",
"requestedDeliveryDate": "2021-10-05",
"comments": "Something to comment"
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 20,
"unitOfMeasure": "EA",
"description": "First product description.",
"unitPrice": 0.15
},
{
"lineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 19,
"unitOfMeasure": "EA",
"description": "Sparkling Water - Crate (6x0.75l).",
"unitPrice": 1.5
},
{
"lineNumber": 3,
"identifiers": [
{
"identifier": "4300348765434",
"domain": "GS1"
},
{
"identifier": "PFAND-00B-LS",
"domain": "SUPPLIER"
}
],
"isDepositItem": true,
"quantity": 19,
"unitOfMeasure": "EA",
"description": "Deposit 1x crate + 6x bottles.",
"unitPrice": 3.3
}
]
}
},
{
"procurosTransactionId": "94fe13aa-8c9b-40e5-9937-42b852185858",
"type": "SHIPPING_NOTICE",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"city": "Berlin",
"countryCode": "DE",
"name": "ACME Co. Ltd.",
"postalCode": "82643",
"street": "Elroy-Fritsch-Ring 15"
},
"contacts": [
{
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"shippingNoticeIdentifier": "SN9383-R45",
"shippingNoticeDate": "2021-11-24",
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-11-20",
"despatchDate": "2021-11-05",
"requestedDeliveryDate": "2021-11-06",
"expectedDeliveryDate": "2021-11-06",
"carrier": "Example Delivery Solution",
"trackingNumber": "b52ea6a7-c2ea-3bfc-a63f-19140d3b3af5",
"trackingUrl": "https://api.procuros.com/example",
"comments": "Something to comment"
},
"transportUnits": [
{
"items": [
{
"lineNumber": 1,
"orderLineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"orderedQuantity": 20,
"shippedQuantity": 20,
"unitPrice": 200,
"description": "First product description."
},
{
"lineNumber": 2,
"orderLineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"orderedQuantity": 19,
"shippedQuantity": 15,
"openQuantityAction": "DISCARDED",
"unitPrice": 1.5,
"description": "Second product description."
}
]
}
]
}
},
{
"procurosTransactionId": "94fe1224-ae01-4587-8155-8e852cbbe75d",
"type": "INVOICE",
"flow": "LIVE",
"status": "SUCCESS",
"createdAt": "2024-01-01T00:00:00+00:00",
"replacesProcurosTransactionId": null,
"replacedByProcurosTransactionId": null,
"isLatestVersion": true,
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "4522704465331",
"domain": "GS1"
},
{
"identifier": "DE123456789",
"domain": "VAT_DE"
}
],
"postalAddress": {
"city": "Berlin",
"countryCode": "DE",
"name": "ACME Co. Ltd.",
"postalCode": "82643",
"street": "Elroy-Fritsch-Ring 15"
},
"contacts": [
{
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "4231930775745",
"domain": "GS1"
},
{
"identifier": "DE234567890",
"domain": "VAT_DE"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"invoiceIdentifier": "IV9383-R45",
"invoiceDate": "2021-11-11",
"shippingNoticeIdentifier": "SN9383-R45",
"shippingNoticeDate": "2021-11-04",
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-11-10",
"paymentTerms": [
{
"payInNumberOfDays": 28,
"percentage": 3
}
],
"comments": "Something to comment"
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 20,
"unitPrice": 200,
"description": "First product description.",
"tax": {
"amount": 760,
"percentage": 19,
"description": "Total tax amount."
}
},
{
"lineNumber": 2,
"identifiers": [
{
"identifier": "4300348765433",
"domain": "GS1"
},
{
"identifier": "PROD-78-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_9",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 15,
"unitPrice": 1.5,
"description": "Second product description.",
"tax": {
"amount": 26.775,
"percentage": 19,
"description": "Total tax amount."
}
}
]
}
}
]
}Authorizations
The API Token of your ERP Connection.
Query Parameters
Type of transaction.
Available options:
ORDER, ORDER_RESPONSE, SHIPPING_NOTICE, INVOICE, CREDIT_NOTE, DISPATCH_INSTRUCTION, DISPATCH_INSTRUCTION_RESPONSE, RECEIVAL_NOTICE, REMITTANCE_ADVICE, PRODUCT_CATALOG, INVENTORY_REPORT, SALES_REPORT Flow (LIVE or TEST) of the transaction.
Available options:
LIVE, TEST Current status of the transaction.
Available options:
PENDING, SUCCESS, FAILED, DROPPED, UNKNOWN Filter transactions created between two dates. Format: YYYY-MM-DD,YYYY-MM-DD
Example:
"2024-01-01,2024-01-31"
Page cursor
Number of transactions returned per page.
Required range:
1 <= x <= 100Response
Success
Show child attributes
Show child attributes
Whether or not more transactions can be fetched on the next page.
Amount of transactions returned per page.
Amount of transactions on the current page.
Supplied to the cursor query parameter. See [Pagination] for more info.
Prebuilt URL to retrieve the next page of transactions.
Was this page helpful?
⌘I